camera = {}

function camera:load(x, y, scale)
	self.scale = scale or 3

	local x, y = xymod[mapIO.map.orientation](player.x, player.y)
	self.x = x - love.graphics.getWidth() / (2 * camera.scale)
	self.y = y - love.graphics.getHeight() / (2 * camera.scale)
end

function camera:update()
	local x, y = xymod[mapIO.map.orientation](player.x, player.y)
	self.x = x - love.graphics.getWidth() / (2 * camera.scale)
	self.y = y - love.graphics.getHeight() / (2 * camera.scale)
end