tiles = {}

atlas = {
	["atlas"] = love.graphics.newImage("gfx/atlas.png")
}

function tiles:load(name, tileW, tileH)
	local atlasX, atlasY = atlas[name]:getDimensions()

	id = 1
	local lastX, lastY
	-- loops through every possible tile position and gets its quad
	for y = 0, atlasY / tileH - 1 do
		for x = 0, atlasX / tileW - 1 do
			table.insert(tiles, {img = love.graphics.newQuad(x * tileW, y * tileH, tileW, tileH, atlasX, atlasY)})
			id = id + 1
		end
	end

	self.properties = {}
	for _, tile in ipairs(mapIO.map.tilesets[1].tiles) do
		self.properties[tile.id] = tile.properties
	end
end